using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace MeterModuleLibrary
{
    public partial class frmNumberKey : Form
    {
        public frmNumberKey()
        {
            InitializeComponent();
        }
        public bool bControl = false;
        private void frmNumberKey_Load(object sender, EventArgs e)
        {
            ucNumberKey1.setTxtNum(sValue);
            ucNumberKey1.bControl = bControl;
            ucNumberKey1.evoice += new EventSetNumKey(setNum);
        }

        public string sValue = "";
        private void setNum(object sender, string s)
        {
            this.DialogResult = DialogResult.OK;
            sValue = s;
            this.Close();
        }
    }
}
